org.apache.ignite.internal.client.thin.io

## Interface ClientConnection

All Superinterfaces:
  AutoCloseable

    public interface ClientConnection
    extends AutoCloseable

Client connection: abstracts away sending and receiving messages.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Closes the connection.
`void` `send(ByteBuffer msg, @Nullable Runnable onDone)` Sends a message.

### Method Detail

#### send

    void send(ByteBuffer msg,
              @Nullable
              @Nullable Runnable onDone)
       throws IgniteCheckedException

Sends a message.

Parameters:
  `msg` - Message buffer.
  `onDone` - Callback to be invoked when asynchronous send operation completes.
Throws:
  `IgniteCheckedException`

#### close

    void close()

Closes the connection.

Specified by:
  `close` in interface `AutoCloseable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022